/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.workflow.simple;


public class ProcessDefEvent {
    public static final String versionId = "$Id: //core-platform/dev/src/com/arsdigita/workflow/simple/ProcessDefEvent.java#6 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    private String         m_action;
    private Task       m_srcProcessDef;
    private Object         m_data;

    public ProcessDefEvent(String action,
                           Task src_object,
                           Object data) {
        m_action     = action;
        m_srcProcessDef = src_object;
        m_data       = data;
    }

    public String getAction() {
        return m_action;
    }

    public Task getTaskDefinition() {
        return m_srcProcessDef;
    }

    public Object getObjects() {
        return m_data;
    }
}
